> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /linkedin/google/company

> Linkedin Bulk Search Companies by keywords. 

<b>First result is the best match.</b>

**Price:** 1 credit



## OpenAPI

````yaml /openapi/professional-network.json post /api/linkedin/google/company
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/linkedin/google/company:
    post:
      tags:
        - LinkedIn Web Search
      summary: /linkedin/google/company
      description: |-
        Linkedin Bulk Search Companies by keywords. 

        <b>First result is the best match.</b>

        **Price:** 1 credit
      operationId: __api_linkedin_google_company_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkedinGoogleCompanyPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LinkedinGoogleCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LinkedinGoogleCompanyPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keywords:
          items:
            type: string
          type: array
          maxItems: 15
          uniqueItems: true
        with_urn:
          type: boolean
          default: false
        count:
          type: integer
          exclusiveMaximum: 1000
          exclusiveMinimum: 0
          default: 100
      type: object
      required:
        - keywords
    LinkedinGoogleCompany:
      properties:
        '@type':
          type: string
          default: LinkedinGoogleCompany
        url:
          type: string
        urn:
          anyOf:
            - $ref: '#/components/schemas/LinkedinURN_Literal_company__'
            - type: 'null'
        alias:
          type: string
      type: object
      required:
        - url
        - urn
        - alias
        - title
        - description
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LinkedinURN_Literal_company__:
      properties:
        type:
          type: string
          const: company
        value:
          type: string
      type: object
      required:
        - type
        - value
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````